Create Test Order

This endpoint allows you to place a test order.
Use test_webhooks object to define when you want to receive webhook calls.
Consider the following value:

{
	"new": "15s",
	"accepted": "1m15s"
}

The outcome would be that after 15 seconds you will receive a call with order.new event and one minute later you will receive a call with order.status_update event.

To receive calls to Order Events webhook you must have access to Orders API and for Rider Event webhook you must have access to Rider Status API. See the Verify Your Credentials endpoint to verify your access.

Please consult Test Webhooks page in Guides on how to test webhooks.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create test order body

string
enum

Order type - either delivery (for orders fulfilled by Deliveroo) autonomous for unmanned vehicle delivery like drones or restaurant_fulfilled.

Allowed:
string

ISO Alpha-2 code of a country Deliveroo operates in.

number

Fake latitude of the target restaurant. The rider updates will contain positions close to this latitude.

number

Fake longitude of the target restaurant. The rider updates will contain positions close to this longitude.

string

Order notes from the customer.

string

Cutlery notes from the customer.

offer_discount
object

The discounted amount applied.

items
array of objects

An array of the Items in the order.

Items
address
object

The customer address. Required for restaurant_fulfilled orders.

customer
object

The customer information. Required for restaurant_fulfilled orders.

test_webhooks
object

The webhooks that should be called within given time.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json